directories
end_directories;

settings
  operation_mode = real_time;
  time_error_limit = infinite;
  startup_options
    call_procedures = false;
    activate_receivers = true;
    output_action = set_local;
  end_startup_options;
end_settings;

driver
  CW6 {driver = 'dldrv.dll'; parameter_file = 'dldrv.PAR'};
end_driver;

data

  var
    Cerpadlo : boolean;
    Ventil : boolean;
    Potenciometr : real;
    TlakovySnimac : real;
    ZadanaHodnota : real;
    ActivePanel : real;
    Hladina : real;
    Stavoznak : real;
    KlikZapisHladiny : real {init_value = 0};
    YPot : real;
    QPot : real {init_value = 52.7025};
    KPot : real {init_value = -( 30 / 17189 )};
    YTlak : real;
    QTlak : real {init_value = 120.243};
    KTlak : real {init_value = -( 5 / 1308 )};
    NulovaHladina : real;
    Zapsano : boolean;
    JmenoAPrijmeni : string;
    StudijniSkupina : string;
    Zapsano1 : boolean;
    Zaver : string;
  end_var;

  channel Kanaly {driver = CW6};
    CerpadloKanal : boolean {driver_index = 10; direction = output};
    VentilKanal : boolean {driver_index = 11; direction = output};
    PotenciometrKanal : real {driver_index = 28; direction = input};
    TlakovySnimacKanal : real {driver_index = 29; direction = input};
  end_channel;

end_data;

timer

  selector timing_switch;
    rem = 'pepna asovn pro aktivaci pstroj podle viditelnosti jednotlivch panel';
    activity
      period = 1;
    end_activity;
    case
      panel_1_is_active = ZadanaHodnota = 1;
      panel_2_is_active = ZadanaHodnota = 2;
      panel_3_is_active = ZadanaHodnota = 3;
      panel_4_is_active = ZadanaHodnota = 4;
      panel_5_is_acrive = ZadanaHodnota = 5;
      panel_6_is_acrive = ZadanaHodnota = 6;
    end_case;
  end_selector;

end_timer;

instrument

  panel PanelHlavni;
    rem = 'hlavn panel aplikace';
    gui
      owner = background;
      position = 0, 0, 1024, 768;
      gravity = center_x, center_y;
      visibility = false;
      window
        title = 'Vyska_hladiny';
        disable = zoom;
      end_window;
    end_gui;

    procedure OnActivate();
    begin
    end_procedure;

    procedure OnStartup();
    begin
      PanelNamereneHodnoty.Hide();
      PanelNavodNaObsluhu.Hide();
      NewRect( WorkX, WorkY, WorkW, WorkD );
    
      PanelMereniVyskyHladiny.NewRect( WorkX + WorkW / 2 - ( 1024 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 768 + NoZoomWinReduceD ) / 2, 1024,728 );
      PanelNamereneHodnoty.NewRect( WorkX + WorkW / 2 - ( 1024 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 768 + NoZoomWinReduceD ) / 2, 1024,728 );
      PanelGrafy.NewRect( WorkX + WorkW / 2 - ( 1024 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 768 + NoZoomWinReduceD ) / 2, 1024,728 );
      PanelNavodNaObsluhu.NewRect( WorkX + WorkW / 2 - ( 1024 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 768 + NoZoomWinReduceD ) / 2, 1024,728 );
      PanelOsobniUdajeAZaver.NewRect( WorkX + WorkW / 2 - ( 1024 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 768 + NoZoomWinReduceD ) / 2, 1024,728 );
      PanelProtokol.NewRect( WorkX + WorkW / 2 - ( 1024 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 768 + NoZoomWinReduceD ) / 2, 1024,728 );
      PanelVolbyPanelu.NewRect( 0, WorkD - NoZoomWinReduceD - 40, WorkW - NoZoomWinReduceW, 40 );
      SwitchPanelu.NewRect( 0, 0, WorkW - NoZoomWinReduceW, 40 );


      Show();
      Select();
      ActivePanel = 1;
    end_procedure;

    procedure HidePanel( PanelIndex : real );
    begin
      if PanelIndex = 1 then
        PanelMereniVyskyHladiny.Hide();
        if ActivePanel = 1 then
          ActivePanel = 0;
        end;
      elsif PanelIndex = 2 then
        PanelNamereneHodnoty.Hide();
        if ActivePanel = 2 then
          ActivePanel = 0;
        end;
      elsif PanelIndex = 3 then
        PanelGrafy.Hide();
        if ActivePanel = 3 then
          ActivePanel = 0;
        end;
      elsif PanelIndex = 4 then
        PanelNavodNaObsluhu.Hide();
        if ActivePanel = 4 then
          ActivePanel = 0;
        end;
      elsif PanelIndex = 5 then
        PanelOsobniUdajeAZaver.Hide();
        if ActivePanel = 5 then
          ActivePanel = 0;
        end;
      elsif PanelIndex = 6 then
        PanelProtokol.Hide();
        if ActivePanel = 6 then
          ActivePanel = 0;
        end;
      end;
    end_procedure;

    procedure ShowPanel( PanelIndex : real; KeyboardEvent : boolean );
    begin
      if ActivePanel <> 0 then
        HidePanel( ActivePanel );
      end;
      if PanelIndex = 1 then
        PanelMereniVyskyHladiny.Show();
        if KeyboardEvent then
          SwitchPanelu.SetSelIndex( 1 );
        end;
      elsif PanelIndex = 2 then
        PanelNamereneHodnoty.Show();
        if KeyboardEvent then
          SwitchPanelu.SetSelIndex( 2 );
       end;
      elsif PanelIndex = 3 then
        PanelGrafy.Show();
        if KeyboardEvent then
          SwitchPanelu.SetSelIndex( 3 );
         end;
      elsif PanelIndex = 4 then
        PanelNavodNaObsluhu.Show();
        if KeyboardEvent then
          SwitchPanelu.SetSelIndex( 4 );
        end;
      elsif PanelIndex = 5 then
        PanelOsobniUdajeAZaver.Show();
        if KeyboardEvent then
          SwitchPanelu.SetSelIndex( 5 );
        end;
     elsif PanelIndex = 6 then
        PanelProtokol.Show();
        if KeyboardEvent then
          SwitchPanelu.SetSelIndex( 6 );
        end;
      end;
      ActivePanel = PanelIndex;
    end_procedure;

  end_panel;

  panel PanelProtokol;
    gui
      owner = PanelHlavni;
      position = 0, 0, 1024, 728;
    end_gui;
  end_panel;

  draw DrawButtonKonecProgramu;
    static
      bMouseOver : boolean;
      hOwner : longcard;
    end_static;

    gui
      owner = PanelProtokol;
      position = 650, 75, 131, 31;
      bubble = 'Ukon program.';
    end_gui;
    transparent = true;
    zoomable = true;
    draw_size = 131, 31;
    colors
      colorDark = color_btnshadow;
      colorHilight = color_btnhighlight
        change_color
          bMouseOver, 255, 253, 138;
        end;
    end_colors;
    drawing
      group 0, 0;
        fill
          direction down;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
            0,  0,  130,  0,   65, 15;
        fill
          direction up;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
            0, 30,  130, 30,   65, 15;
        fill
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
           0,  0,   0, 30,  65, 15;
        fill
          direction left;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
          130,  0,  130, 30,   65, 15;
        text {selectable; mouse_shape = finger} 18, 9, 
          'Konec programu' , 
          font = 'Microsoft Sans Serif (Central European)', 8, bold; 
      end;
    end;

    procedure OnMouseUp( MouseX, MouseY : longint; LeftButton, MiddleButton, RightButton : boolean );
    begin
      if LeftButton then
        bMouseOver = false;
        send self;
      end;
    
    
         VentilKanal = false;
         CerpadloKanal = false;
         system.StopApplication();
    end_procedure;

    procedure OnObjectClick( ObjectHandle : longcard ): boolean;
    begin
      ObjectGetOwner( ObjectHandle, hOwner );
      if hOwner <> 0 then
        bMouseOver = true;
        send self;
        return true;
      end;
      return false;
    end_procedure;

    procedure OnModalMouseMove( MouseX, MouseY : longint );
    static
      x : integer;
      y : integer;
      w : integer;
      d : integer;
      w2 : integer;
      d2 : integer;
      b : boolean;
    begin
      if hOwner <> 0 then
        ObjectGetOuterRect( hOwner, x, y, w, d, b );
        b = (MouseX >= x) and (MouseX < x + w) and (MouseY >= y) and (MouseY < y + d);
        if b <> bMouseOver then
          bMouseOver = b;
          send self;
        end;
      end;
    end_procedure;

  end_draw;

  draw DrawButtonTisk1;
    static
      bMouseOver : boolean;
      hOwner : longcard;
    end_static;

    gui
      owner = PanelProtokol;
      position = 650, 30, 131, 31;
      bubble = 'Ulo na disk a vytiskne na vchoz tiskrnu.';
    end_gui;
    transparent = true;
    zoomable = true;
    draw_size = 131, 31;
    colors
      colorDark = color_btnshadow;
      colorHilight = color_btnhighlight
        change_color
          bMouseOver, 255, 253, 138;
        end;
    end_colors;
    drawing
      fill
        direction down;
        color colorDark;
        color colorHilight;
      end;
      polygon_fill {selectable; mouse_shape = finger} 3,
          0,  0,  130,  0,   65, 15;
      fill
        direction up;
        color colorDark;
        color colorHilight;
      end;
      polygon_fill {selectable; mouse_shape = finger} 3,
          0, 30,  130, 30,   65, 15;
      fill
        color colorDark;
        color colorHilight;
      end;
      polygon_fill {selectable; mouse_shape = finger} 3,
         0,  0,   0, 30,  65, 15;
      fill
        direction left;
        color colorDark;
        color colorHilight;
      end;
      polygon_fill {selectable; mouse_shape = finger} 3,
        130,  0,  130, 30,   65, 15;
      text {selectable; mouse_shape = finger} 31, 8, 
        'Ulo a tiskni' , 
        font = 'Microsoft Sans Serif (Central European)', 8, bold; 
    end;

    procedure OnMouseUp( MouseX, MouseY : longint; LeftButton, MiddleButton, RightButton : boolean );
    begin
      if LeftButton then
        bMouseOver = false;
        send self;
    
    
    
        Tabulka3.PrintTable( 1, Tabulka3.GetLastLayer() );
    
        Tabulka3.SaveTable('Namerene hodnoty/NamereneHodnoty.tbw');
    
    
    
      end;
    end_procedure;

    procedure OnObjectClick( ObjectHandle : longcard ): boolean;
    begin
      ObjectGetOwner( ObjectHandle, hOwner );
      if hOwner <> 0 then
        bMouseOver = true;
        send self;
        return true;
      end;
      return false;
    end_procedure;

    procedure OnModalMouseMove( MouseX, MouseY : longint );
    static
      x : integer;
      y : integer;
      w : integer;
      d : integer;
      w2 : integer;
      d2 : integer;
      b : boolean;
    begin
      if hOwner <> 0 then
        ObjectGetOuterRect( hOwner, x, y, w, d, b );
        b = (MouseX >= x) and (MouseX < x + w) and (MouseY >= y) and (MouseY < y + d);
        if b <> bMouseOver then
          bMouseOver = b;
          send self;
        end;
      end;
    end_procedure;

  end_draw;

  table Tabulka3;
    gui
      owner = PanelProtokol;
      position = 10, 30, 620, 674;
      bubble = 'Protokol o laboratorn loze, kter se ulo, ppadn vytiskne.';
    end_gui;
    table_description
      template_file = 'Protokol.TBW';
    end_table_description;
    errors
    end_errors;
  end_table;

  label LabelProtokol;
    gui
      owner = PanelProtokol;
      position = 5, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold, underline;
      text = 'Protokol o laboatorn loze';
    end_text_list;
  end_label;

  panel PanelGrafy;
    gui
      owner = PanelHlavni;
      position = 0, 0, 1024, 728;
    end_gui;
  end_panel;

  label LabelLegenda1;
    gui
      owner = PanelGrafy;
      position = 42, 504;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold, underline;
      text = 'Legenda k barvm graf:';
    end_text_list;
  end_label;

  label LabelLegenda4;
    gui
      owner = PanelGrafy;
      position = 252, 544;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Snma tlakov diference';
    end_text_list;
    colors
      ink = lblue;
    end_colors;
  end_label;

  label LabelLegenda2;
    gui
      owner = PanelGrafy;
      position = 252, 504;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'dan hodnota';
    end_text_list;
    colors
      ink = lgreen;
    end_colors;
  end_label;

  label LabelLegenda5;
    gui
      owner = PanelGrafy;
      position = 252, 564;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Stavoznak';
    end_text_list;
  end_label;

  label LabelLegenda3;
    gui
      owner = PanelGrafy;
      position = 252, 524;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Potencometr';
    end_text_list;
    colors
      ink = lred;
    end_colors;
    blink_colors
      ink = lred;
    end_blink_colors;
  end_label;

  table Tabulka2;
    gui
      owner = PanelGrafy;
      position = 512, -431, 465, 915;
    end_gui;
    table_description
      lock_table = true;
      template_file = 'Tabulka2.TBW';
    end_table_description;
    errors
    end_errors;
  end_table;

  table Tabulka1;
    gui
      owner = PanelGrafy;
      position = 42, -431, 465, 915;
    end_gui;
    table_description
      lock_table = true;
      template_file = 'Tabulka1.TBW';
    end_table_description;
    errors
    end_errors;
  end_table;

  panel PanelOsobniUdajeAZaver;
    gui
      owner = PanelHlavni;
      position = 0, 0, 1024, 728;
    end_gui;
  end_panel;

  draw DrawButtonKonecProgramu;
    static
      bMouseOver : boolean;
      hOwner : longcard;
    end_static;

    gui
      owner = PanelOsobniUdajeAZaver;
      position = 75, 210, 131, 31;
      bubble = 'Ukon program.';
    end_gui;
    transparent = true;
    zoomable = true;
    draw_size = 131, 31;
    colors
      colorDark = color_btnshadow;
      colorHilight = color_btnhighlight
        change_color
          bMouseOver, 255, 253, 138;
        end;
    end_colors;
    drawing
      group 0, 0;
        fill
          direction down;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
            0,  0,  130,  0,   65, 15;
        fill
          direction up;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
            0, 30,  130, 30,   65, 15;
        fill
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
           0,  0,   0, 30,  65, 15;
        fill
          direction left;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
          130,  0,  130, 30,   65, 15;
        text {selectable; mouse_shape = finger} 18, 9, 
          'Konec programu' , 
          font = 'Microsoft Sans Serif (Central European)', 8, bold; 
      end;
    end;

    procedure OnMouseUp( MouseX, MouseY : longint; LeftButton, MiddleButton, RightButton : boolean );
    begin
      if LeftButton then
        bMouseOver = false;
        send self;
      end;
    
    
         VentilKanal = false;
         CerpadloKanal = false;
         system.StopApplication();
    end_procedure;

    procedure OnObjectClick( ObjectHandle : longcard ): boolean;
    begin
      ObjectGetOwner( ObjectHandle, hOwner );
      if hOwner <> 0 then
        bMouseOver = true;
        send self;
        return true;
      end;
      return false;
    end_procedure;

    procedure OnModalMouseMove( MouseX, MouseY : longint );
    static
      x : integer;
      y : integer;
      w : integer;
      d : integer;
      w2 : integer;
      d2 : integer;
      b : boolean;
    begin
      if hOwner <> 0 then
        ObjectGetOuterRect( hOwner, x, y, w, d, b );
        b = (MouseX >= x) and (MouseX < x + w) and (MouseY >= y) and (MouseY < y + d);
        if b <> bMouseOver then
          bMouseOver = b;
          send self;
        end;
      end;
    end_procedure;

  end_draw;

  table Tabulka4;
    gui
      owner = PanelOsobniUdajeAZaver;
      position = 290, 115, 620, 400;
      bubble = 'Vyplte zhodnocen vsledk a zvr men.';
    end_gui;
    table_description
      editable = true;
      template_file = 'Zaver.TBW';
    end_table_description;
    errors
    end_errors;
  end_table;

  label LavelZaver;
    gui
      owner = PanelOsobniUdajeAZaver;
      position = 7, 110;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Zhodnocen vsledk a zvr men:';
    end_text_list;
  end_label;

  label LabelZapsano1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelOsobniUdajeAZaver;
      position = 7, 260;
      visibility = Zapsano1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 13, bold;
      text = 'daje byly zapsny do protokolu.';
    end_text_list;
    colors
      ink = lred;
    end_colors;
  end_label;

  draw DrawButtonVlozDoProtokolu;
    static
      bMouseOver : boolean;
      hOwner : longcard;
    end_static;

    gui
      owner = PanelOsobniUdajeAZaver;
      position = 75, 165, 131, 31;
      bubble = 'Vlo vmi zadan hodnoty do protokolu.';
    end_gui;
    transparent = true;
    zoomable = true;
    draw_size = 131, 31;
    colors
      colorDark = color_btnshadow;
      colorHilight = color_btnhighlight
        change_color
          bMouseOver, 255, 253, 138;
        end;
    end_colors;
    drawing
      group 0, 0;
        fill
          direction down;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
            0,  0,  130,  0,   65, 15;
        fill
          direction up;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
            0, 30,  130, 30,   65, 15;
        fill
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
           0,  0,   0, 30,  65, 15;
        fill
          direction left;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
          130,  0,  130, 30,   65, 15;
        text {selectable; mouse_shape = finger} 15, 9, 
          'Vlo do protokolu' , 
          font = 'Microsoft Sans Serif (Central European)', 8, bold; 
      end;
    end;

    procedure OnActivate();
    begin
    
    
    Zapsano1 = true;
    pause 2;
    Zapsano1 = false;
    
    
    Tabulka.Recalculate();
    Tabulka1.Recalculate();
    Tabulka2.Recalculate();
    Tabulka3.Recalculate();
    
    
    Tabulka.PaintGraphs();
    Tabulka1.PaintGraphs();
    Tabulka2.PaintGraphs();
    Tabulka3.PaintGraphs();
    end_procedure;

    procedure OnMouseUp( MouseX, MouseY : longint; LeftButton, MiddleButton, RightButton : boolean );
    begin
      if LeftButton then
        bMouseOver = false;
        send self;
    
       Tabulka3.SetStringValue(1,47,2,(JmenoAPrijmeni),false,true);
       Tabulka3.SetStringValue(1,48,2,(StudijniSkupina),false,true);
       Tabulka3.SetStringValue(1,49,2,date.TodayToString(),false,true);
    
    
       Tabulka4.GetStringValue(1,1,1,Zaver);
       Tabulka3.SetStringValue(1,211,1,Zaver,false,true);
    
       Tabulka4.GetStringValue(1,2,1,Zaver);
       Tabulka3.SetStringValue(1,212,1,Zaver,false,true);
    
       Tabulka4.GetStringValue(1,3,1,Zaver);
       Tabulka3.SetStringValue(1,213,1,Zaver,false,true);
    
       Tabulka4.GetStringValue(1,4,1,Zaver);
       Tabulka3.SetStringValue(1,214,1,Zaver,false,true);
    
       Tabulka4.GetStringValue(1,5,1,Zaver);
       Tabulka3.SetStringValue(1,215,1,Zaver,false,true);
    
       Tabulka4.GetStringValue(1,6,1,Zaver);
       Tabulka3.SetStringValue(1,216,1,Zaver,false,true);
    
       Tabulka4.GetStringValue(1,7,1,Zaver);
       Tabulka3.SetStringValue(1,217,1,Zaver,false,true);
    
       Tabulka4.GetStringValue(1,8,1,Zaver);
       Tabulka3.SetStringValue(1,218,1,Zaver,false,true);
    
       Tabulka4.GetStringValue(1,9,1,Zaver);
       Tabulka3.SetStringValue(1,219,1,Zaver,false,true);
    
       Tabulka4.GetStringValue(1,10,1,Zaver);
       Tabulka3.SetStringValue(1,220,1,Zaver,false,true);
    
       Tabulka4.GetStringValue(1,11,1,Zaver);
       Tabulka3.SetStringValue(1,221,1,Zaver,false,true);

       Tabulka4.GetStringValue(1,12,1,Zaver);
       Tabulka3.SetStringValue(1,222,1,Zaver,false,true);

       Tabulka4.GetStringValue(1,13,1,Zaver);
       Tabulka3.SetStringValue(1,223,1,Zaver,false,true);

       Tabulka4.GetStringValue(1,14,1,Zaver);
       Tabulka3.SetStringValue(1,224,1,Zaver,false,true);

       Tabulka4.GetStringValue(1,15,1,Zaver);
       Tabulka3.SetStringValue(1,225,1,Zaver,false,true);

       Tabulka4.GetStringValue(1,16,1,Zaver);
       Tabulka3.SetStringValue(1,226,1,Zaver,false,true);

       Tabulka4.GetStringValue(1,17,1,Zaver);
       Tabulka3.SetStringValue(1,227,1,Zaver,false,true);

       Tabulka4.GetStringValue(1,18,1,Zaver);
       Tabulka3.SetStringValue(1,228,1,Zaver,false,true);

       Tabulka4.GetStringValue(1,19,1,Zaver);
       Tabulka3.SetStringValue(1,229,1,Zaver,false,true);

    
      end;
    end_procedure;

    procedure OnObjectClick( ObjectHandle : longcard ): boolean;
    begin
      ObjectGetOwner( ObjectHandle, hOwner );
      if hOwner <> 0 then
        bMouseOver = true;
        send self;
        return true;
      end;
      return false;
    end_procedure;

    procedure OnModalMouseMove( MouseX, MouseY : longint );
    static
      x : integer;
      y : integer;
      w : integer;
      d : integer;
      w2 : integer;
      d2 : integer;
      b : boolean;
    begin
      if hOwner <> 0 then
        ObjectGetOuterRect( hOwner, x, y, w, d, b );
        b = (MouseX >= x) and (MouseX < x + w) and (MouseY >= y) and (MouseY < y + d);
        if b <> bMouseOver then
          bMouseOver = b;
          send self;
        end;
      end;
    end_procedure;

  end_draw;

  label LabelDatum;
    gui
      owner = PanelOsobniUdajeAZaver;
      position = 7, 84;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Datum men:';
    end_text_list;
  end_label;

  label LabelSkupina;
    gui
      owner = PanelOsobniUdajeAZaver;
      position = 7, 59;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Studijn skupina:';
    end_text_list;
  end_label;

  label LabelJmenoAPrijmeni;
    gui
      owner = PanelOsobniUdajeAZaver;
      position = 7, 34;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Jmno a pjmen:';
    end_text_list;
  end_label;

  clock Clock;
    gui
      owner = PanelOsobniUdajeAZaver;
      position = 135, 80, 115, 25;
      bubble = 'Dnen datum.';
    end_gui;
    format = 'd.M.yyyy';
    font = 'Tahoma (Central European)', 12, bold;
  end_clock;

  string_control StringControlSkupina;
    gui
      owner = PanelOsobniUdajeAZaver;
      position = 140, 60, 180, 18;
      bubble = 'Vyplte svou studijn skupinu.';
    end_gui;
    output = StudijniSkupina;
    font = 'Microsoft Sans Serif (Central European)', 12, normal;
  end_string_control;

  string_control StringControlJmenoAPrijmeni;
    gui
      owner = PanelOsobniUdajeAZaver;
      position = 140, 35, 180, 18;
      bubble = 'Vyplte sv jmno a pjmen.';
    end_gui;
    output = JmenoAPrijmeni;
    font = 'Microsoft Sans Serif (Central European)', 12, normal;
  end_string_control;

  label LabelOsobniUdajeAZaverMereni;
    gui
      owner = PanelOsobniUdajeAZaver;
      position = 5, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold, underline;
      text = 'Osobn daje a zvr men';
    end_text_list;
  end_label;

  panel PanelMereniVyskyHladiny;
    gui
      owner = PanelHlavni;
      position = 0, 0, 1024, 728;
    end_gui;
  end_panel;

  label label_4;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 280, 600;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'ipka dolu pierpv.';
      text = 'ipka nahoru odpout.';
    end_text_list;
  end_label;

  control control_2;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 175, 600, 100, 25;
    end_gui;
    output = NulovaHladina;
    mode = count_box;
    range_from = -200;
    dec_places = 0;
    font = 'Microsoft Sans Serif (Central European)', 12, normal;
  end_control;

  label LabelNulovaHladina;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 2, 600;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Hodnota nulov hladiny:';
    end_text_list;
  end_label;

  label LabelZapsano;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 2, 640;
      visibility = Zapsano;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 20, bold;
      text = 'Hodnoty vky hladiny byly zapsny do tabulky.';
    end_text_list;
    colors
      ink = lred;
    end_colors;
  end_label;

  control ControlStavoznak;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 892, 94, 70, 25;
      bubble = 'Vyplte odetenou hodnotu vky hladiny ze stavoznaku na vlci s vodou.';
    end_gui;
    output = Stavoznak;
    mode = edit_box;
    range_to = 450;
    dec_places = 0;
    font = 'Microsoft Sans Serif (Central European)', 12, normal;
  end_control;

  draw DrawButtonKonecProgramu;
    static
      bMouseOver : boolean;
      hOwner : longcard;
    end_static;

    gui
      owner = PanelMereniVyskyHladiny;
      position = 867, 499, 131, 31;
      bubble = 'Ukon program.';
    end_gui;
    transparent = true;
    zoomable = true;
    draw_size = 131, 31;
    colors
      colorDark = color_btnshadow;
      colorHilight = color_btnhighlight
        change_color
          bMouseOver, 255, 253, 138;
        end;
    end_colors;
    drawing
      group 0, 0;
        fill
          direction down;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
            0,  0,  130,  0,   65, 15;
        fill
          direction up;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
            0, 30,  130, 30,   65, 15;
        fill
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
           0,  0,   0, 30,  65, 15;
        fill
          direction left;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
          130,  0,  130, 30,   65, 15;
        text {selectable; mouse_shape = finger} 18, 9, 
          'Konec programu' , 
          font = 'Microsoft Sans Serif (Central European)', 8, bold; 
      end;
    end;

    procedure OnMouseUp( MouseX, MouseY : longint; LeftButton, MiddleButton, RightButton : boolean );
    begin
      if LeftButton then
        bMouseOver = false;
        send self;
      end;
    
    
         VentilKanal = false;
         CerpadloKanal = false;
         system.StopApplication();
    end_procedure;

    procedure OnObjectClick( ObjectHandle : longcard ): boolean;
    begin
      ObjectGetOwner( ObjectHandle, hOwner );
      if hOwner <> 0 then
        bMouseOver = true;
        send self;
        return true;
      end;
      return false;
    end_procedure;

    procedure OnModalMouseMove( MouseX, MouseY : longint );
    static
      x : integer;
      y : integer;
      w : integer;
      d : integer;
      w2 : integer;
      d2 : integer;
      b : boolean;
    begin
      if hOwner <> 0 then
        ObjectGetOuterRect( hOwner, x, y, w, d, b );
        b = (MouseX >= x) and (MouseX < x + w) and (MouseY >= y) and (MouseY < y + d);
        if b <> bMouseOver then
          bMouseOver = b;
          send self;
        end;
      end;
    end_procedure;

  end_draw;

  draw DrawButtonZapisHodnoty;
    static
      bMouseOver : boolean;
      hOwner : longcard;
      k : real;
    end_static;

    gui
      owner = PanelMereniVyskyHladiny;
      position = 867, 464, 131, 31;
      bubble = 'Zape aktuln vku hladiny do tabulek a do protokolu.';
    end_gui;
    transparent = true;
    zoomable = true;
    draw_size = 131, 31;
    colors
      colorDark = color_btnshadow;
      colorHilight = color_btnhighlight
        change_color
          bMouseOver, 255, 253, 138;
        end;
    end_colors;
    drawing
      group 0, 0;
        fill
          direction down;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
            0,  0,  130,  0,   65, 15;
        fill
          direction up;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
            0, 30,  130, 30,   65, 15;
        fill
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
           0,  0,   0, 30,  65, 15;
        fill
          direction left;
          color colorDark;
          color colorHilight;
        end;
        polygon_fill {selectable; mouse_shape = finger} 3,
          130,  0,  130, 30,   65, 15;
        text {selectable; mouse_shape = finger} 26, 9, 
          'Zapi hodnoty' , 
          font = 'Microsoft Sans Serif (Central European)', 8, bold; 
      end;
    end;

    procedure OnActivate();
    begin
    
    Zapsano = true;
    pause 2;
    Zapsano = false;
    
    Tabulka.Recalculate();
    Tabulka1.Recalculate();
    Tabulka2.Recalculate();
    Tabulka3.Recalculate();
    
    Tabulka.PaintGraphs();
    Tabulka1.PaintGraphs();
    Tabulka2.PaintGraphs();
    Tabulka3.PaintGraphs();
    end_procedure;

    procedure OnMouseUp( MouseX, MouseY : longint; LeftButton, MiddleButton, RightButton : boolean );
    begin
    
      if LeftButton then
        bMouseOver = false;
        send self;
      end;
    
      KlikZapisHladiny = KlikZapisHladiny+1;
    
          if KlikZapisHladiny <= 10 then k=k+1;
    
         Tabulka.SetRealValue(1,2+k,2,(ZadanaHodnota),false,true);
         Tabulka.SetRealValue(1,2+k,3,(YPot),false,true);
         Tabulka.SetRealValue(1,2+k,4,(YTlak),false,true);
         Tabulka.SetRealValue(1,2+k,5,(Stavoznak),false,true);
    
         Tabulka1.SetRealValue(1,2+k,2,(ZadanaHodnota),false,true);
         Tabulka1.SetRealValue(1,2+k,3,(YPot),false,true);
         Tabulka1.SetRealValue(1,2+k,4,(YTlak),false,true);
         Tabulka1.SetRealValue(1,2+k,5,(Stavoznak),false,true);
    
         Tabulka2.SetRealValue(1,2+k,2,(ZadanaHodnota),false,true);
         Tabulka2.SetRealValue(1,2+k,3,(YPot),false,true);
         Tabulka2.SetRealValue(1,2+k,4,(YTlak),false,true);
         Tabulka2.SetRealValue(1,2+k,5,(Stavoznak),false,true);
    
         Tabulka3.SetRealValue(1,109+k,2,(ZadanaHodnota),false,true);
         Tabulka3.SetRealValue(1,109+k,3,(YPot),false,true);
         Tabulka3.SetRealValue(1,109+k,4,(YTlak),false,true);
         Tabulka3.SetRealValue(1,109+k,5,(Stavoznak),false,true);
    
    
            end;
    end_procedure;

    procedure OnObjectClick( ObjectHandle : longcard ): boolean;
    begin
      ObjectGetOwner( ObjectHandle, hOwner );
      if hOwner <> 0 then
        bMouseOver = true;
        send self;
        return true;
      end;
      return false;
    end_procedure;

    procedure OnModalMouseMove( MouseX, MouseY : longint );
    static
      x : integer;
      y : integer;
      w : integer;
      d : integer;
      w2 : integer;
      d2 : integer;
      b : boolean;
    begin
      if hOwner <> 0 then
        ObjectGetOuterRect( hOwner, x, y, w, d, b );
        b = (MouseX >= x) and (MouseX < x + w) and (MouseY >= y) and (MouseY < y + d);
        if b <> bMouseOver then
          bMouseOver = b;
          send self;
        end;
      end;
    end_procedure;

  end_draw;

  data_viewer DataViewer;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 417, 139, 580, 280;
      bubble = 'Graf v asov zvislosti.';
    end_gui;
    chart_description
      time_axis
        content = time;
        date_time_in_line = true;
        time_mask = 'HH:mm:ss';
      end_time_axis;
      y_axes
        axis_element
          name = 'Namen hodnota';
          units = 'cm';
          precision = 0;
          range_to = 450;
          low_limit = 0;
          high_limit = 0;
        end_axis_element;
      end_y_axes;
    end_chart_description;
    data_group
      group_name = 'Graf';
      title = 'Namen hodnoty';
      item
        data_element = YPot;
        axis_name = 'Namen hodnota';
        color = lred;
      end_item;
      item
        data_element = YTlak;
        axis_name = 'Namen hodnota';
        color = blue;
      end_item;
      item
        data_element = ZadanaHodnota;
        axis_name = 'Namen hodnota';
        color = lgreen;
      end_item;
    end_data_group;
    active_group = 'Graf';
    colors
      top_shadow = black;
      bottom_shadow = black;
    end_colors;
  end_data_viewer;

  tank TankValec;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 272, 89, 87, 320;
      bubble = 'Vizualizace aktuln vky hladiny.';
    end_gui;
    expression = Hladina;
    range_to = 450;
    high_limit = 45;
    colors
      value = lcyan;
      high_limit = lcyan;
    end_colors;

    procedure OnActivate();
    begin
    end_procedure;

  end_tank;

  valve Ventil;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 517, 479, 25, 30;
      bubble = 'Vizualizace ventilu.';
    end_gui;
  end_valve;

  engine Cerpadlo;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 512, 444, 31, 31;
      bubble = 'Vizualizace erpadla.';
    end_gui;
    expression = Cerpadlo;
    mode = rotate_right;
  end_engine;

  label LabelF1F2F3F4F5F6;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 2, 685;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Pomoc klves F1, F2, F3, F4, F5, F6 se pepn mezi panely ovldn aplikace.';
    end_text_list;
  end_label;

  axis AxisVyskaHladiny;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 362, 79, 40, 340;
    end_gui;
    align = right;
    scale
      range_to = 450;
      major_step = 10;
      minor_div = 10;
    end_scale;
    marks
      major_size = 9;
      minor_size = 5;
      spare_min = 10;
      spare_max = 10;
    end_marks;
    values
      font = font_caption;
      offset = 3;
    end_values;
  end_axis;

  label LabelMm1;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 242, 64;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'mm.';
    end_text_list;
  end_label;

  label LabelMm4;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 967, 99;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'mm.';
    end_text_list;
  end_label;

  label LabelMm3;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 967, 64;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'mm.';
    end_text_list;
  end_label;

  label LabelMm2;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 967, 29;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'mm.';
    end_text_list;
  end_label;

  knee KolenoVen2;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 692, 464, 60, 60;
    end_gui;
    mode = knee_left_down;
  end_knee;

  knee KolenoDovnitr2;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 732, 429, 60, 60;
    end_gui;
    mode = knee_left_down;
  end_knee;

  pipe pipe_17;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 712, 524, 20, 45;
    end_gui;
    expression = Ventil;
    mode = pipe_down;
  end_pipe;

  pipe pipe_16;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 752, 489, 20, 80;
    end_gui;
    expression = Cerpadlo;
    mode = pipe_up;
  end_pipe;

  pipe pipe_15;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 542, 484, 150, 20;
    end_gui;
    expression = Ventil;
  end_pipe;

  pipe pipe_14;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 542, 449, 190, 20;
    end_gui;
    expression = Cerpadlo;
    mode = pipe_left;
  end_pipe;

  box Nadrz;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 647, 574, 195, 95;
      bubble = 'Vizualizace ndoby s vodou.';
    end_gui;
  end_box;

  knee KolenoVen1;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 272, 464, 60, 60;
    end_gui;
    mode = knee_right_up;
  end_knee;

  knee KolenoDovnitr1;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 302, 429, 60, 60;
    end_gui;
    mode = knee_right_up;
  end_knee;

  pipe pipe_7;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 332, 484, 185, 20;
    end_gui;
    expression = Ventil;
  end_pipe;

  pipe pipe_4;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 362, 449, 150, 20;
    end_gui;
    expression = Cerpadlo;
    mode = pipe_left;
  end_pipe;

  label LabelZadanaHodnota;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 2, 64;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'dan hodnota:';
    end_text_list;
  end_label;

  meter MeterTlakovySnimac;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 892, 59, 70, 25;
    end_gui;
    expression = YTlak;
    mode = digital;
    range_to = 4500000;
    dec_places = 0;
    colors
      paper = white;
      value = lblue;
      low_limit = lblue;
      high_limit = lblue;
    end_colors;
  end_meter;

  meter MeterPotenciometr;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 892, 24, 70, 25;
    end_gui;
    expression = YPot;
    mode = digital;
    range_to = 4500000;
    dec_places = 0;
    colors
      paper = white;
      value = lred;
      low_limit = lred;
    end_colors;
  end_meter;

  label LabelStavoznak;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 527, 99;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Vizuln odeten hodnota ze stavoznaku:';
    end_text_list;
  end_label;

  label LabelTlakovySnimac;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 527, 64;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Namen hodnota ze snmae tlakov diference:';
    end_text_list;
  end_label;

  label LabelPotenciometr;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 527, 29;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Namen hodnota z potenciometrickho snmae:';
    end_text_list;
  end_label;

  control ControlZadanaHodnota;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 132, 59, 110, 355;
      bubble = 'Nastavte poadovanou vku hladiny.';
    end_gui;
    output = ZadanaHodnota;
    mode = vertical_potentiometer;
    content = max;
    range_to = 450;
    dec_places = 0;
    font = 'Microsoft Sans Serif (Central European)', 12, bold;
    colors
      text_ink = lgreen;
    end_colors;

    procedure OnActivate();
    begin
    end_procedure;

  end_control;

  meter MeterZadanaHodnota;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 242, 89, 25, 320;
    end_gui;
    expression = ZadanaHodnota;
    mode = vertical_bar;
    range_to = 450;
    high_limit = 45;
    colors
      paper = black;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  label LabelModelMereniVyskyHladiny;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 5, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold, underline;
      text = 'Model men vky hladiny';
    end_text_list;
  end_label;

  pipe pipe_5;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 322, 404, 20, 25;
    end_gui;
    expression = Cerpadlo;
    mode = pipe_up;
  end_pipe;

  pipe pipe_6;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = PanelMereniVyskyHladiny;
      position = 292, 404, 20, 60;
    end_gui;
    expression = Ventil;
    mode = pipe_down;
  end_pipe;

  panel PanelNavodNaObsluhu;
    gui
      owner = PanelHlavni;
      position = 0, 0, 1024, 728;
    end_gui;
  end_panel;

  label LabelObsahProtokolu1az9;
    gui
      owner = PanelNavodNaObsluhu;
      position = 7, 44;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '1. Zapnte pota a spuste aplikaci Control Web 6 - ikona na ploe.';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '2. V aplikaci Control Web 6, v menu "Soubor - Otevt" otevte program "Vyska_hladiny.cw", ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '     jeho zstupce se nachz na pracovn ploe potae.';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '3. Zapojte konektory pro 5 Vss a 12 Vss ze svorkovnice od elektrickch pstroj, dle schmatu zapojen - viz protokol. ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '     K napjen pouijte danho laboratornho stabilizovanho zdroje napjen.';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '4. Pivolejte vyuujcho, aby vm zkontroloval zapojen, a po jeho odsouhlasen mete zat mit.';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '5. Po sputn aplikace pomoc ikony "Spustit aplikaci", nebo klvesovou zkratkou "Alt+R" se spust';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '     uivatelsk rozhran dcho software, kde jsou na obrazovce ovldac tlatka.';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '6. Nejprve se mus sedit tlakov snma, a to tak, e se to editanho pole "Hodnota nulov hladiny" ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '     zaznamen aktuln vka nulov hladiny odeten ze stavoznaku na vlci s kapalinou.';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '7. Posuvnkem "dan hodnota", naerpejte dan mnostv kapaliny a po jejm ustlen vizuln ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '     odette ze stavoznaku aktuln vku hladiny, kterou zapite do ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '     editanho pole "Vizuln odeten hodnota ze stavoznaku".';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '8. Tlatkem "Zapi hodnoty" se automaticky zap hodnoty do tabulek protokolu.';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '9. Po zapsn vech t namench hodnot opt posuvnkem "dan hodnota" naerpejte jin ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '     mnostv kapaliny a po jejm ustlen opt vizuln odette ze stavoznaku aktuln vku hladiny, ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '     kterou znovu zapete.';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '10. Tento postup men opakujte 10 po sob (5 pi napoutn, 5 pi vypoutn kapaliny), ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '       a to pokad pro odlinou hodnotu vky hladiny kapaliny.';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '11. V panelu "Osobn daje a zvr men" vyplte jmno, studijn skupinu a zvr men. Stiskem tlatka "Vlo do protokolu" ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '       vlote daje do protokolu.';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '  ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '12. Nakonec v panelu "Uloen a tisk protokolu" tlatkem "Ulo a tiskni" ulote a vytisknte protokol o men. ';
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = '       Tlatkem "Konec programu" ukonete aplikaci.';
    end_text_list;
  end_label;

  label LabelNavodNaObsluhuPracoviste;
    gui
      owner = PanelNavodNaObsluhu;
      position = 5, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold, underline;
      text = 'Nvod na obsluhu pracovit';
    end_text_list;
  end_label;

  panel PanelNamereneHodnoty;
    gui
      owner = PanelHlavni;
      position = 0, 0, 1024, 728;
    end_gui;
  end_panel;

  table Tabulka;
    gui
      owner = PanelNamereneHodnoty;
      position = 208, 152, 608, 424;
      gravity = center_x, center_y;
      bubble = 'Tabulka namench hodnot a jejich odchlky od dan hodnoty.';
    end_gui;
    startup_options
      call_procedures = false;
    end_startup_options;
    table_description
      lock_table = true;
      template_file = 'Tabulka2.TBW';
    end_table_description;
    errors
    end_errors;
  end_table;

  label LabelNamereneHodnoty;
    gui
      owner = PanelNamereneHodnoty;
      position = 5, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold, underline;
      text = 'Tabulka namench hodnot';
    end_text_list;
  end_label;

  panel PanelVolbyPanelu;
    gui
      owner = PanelHlavni;
      position = 0, 728, 1024, 40;
    end_gui;
  end_panel;

  tab_switch SwitchPanelu;
    gui
      owner = PanelVolbyPanelu;
      position = 0, 0, 1024, 40;
      bubble = 'Pomoc klves F1, F2, F3, F4, F5, F6 se pepn mezi panely ovldn aplikace.';
    end_gui;
    mode = bottom_no_frame;
    item
      title = 'Model men vky hladiny';
      panel = PanelMereniVyskyHladiny;
      selected;
    end_item;
    item
      title = 'Tabulka namench hodnot';
      panel = PanelNamereneHodnoty;
    end_item;
    item
      title = 'Grafy namench hodnot';
      panel = PanelGrafy;
    end_item;
    item
      title = 'Nvod na obsluhu pracovit';
      panel = PanelNavodNaObsluhu;
    end_item;
    item
      title = 'Osobn daje a zvr men';
      panel = PanelOsobniUdajeAZaver;
    end_item;
    item
      title = 'Uloen a tisk protokolu';
      panel = PanelProtokol;
    end_item;
    blink_colors
      border = color_btntext;
    end_blink_colors;

    procedure OnIndex( Index : real );
    begin
      ActivePanel = Index;
    end_procedure;

  end_tab_switch;

  keyboard keyb;
    item
      event = press;
      key = 'f1';
      expression = 1;
    end_item;
    item
      event = press;
      key = 'f2';
      expression = 2;
    end_item;
    item
      event = press;
      key = 'f3';
      expression = 3;
    end_item;
    item
      event = press;
      key = 'f4';
      expression = 4;
    end_item;
    item
      event = press;
      key = 'f5';
      expression = 5;
    end_item;
    item
      event = press;
      key = 'f6';
      expression = 6;
    end_item;

    procedure OnOutput( Output : real );
    begin
      PanelHlavni.ShowPanel( Output, true )
    end_procedure;

  end_keyboard;

  program Program1;
    activity
      period = 0.1;
    end_activity;

    procedure OnActivate();
    begin
    
    
    
    Potenciometr = PotenciometrKanal;
    TlakovySnimac = TlakovySnimacKanal;
    Ventil = VentilKanal;
    Cerpadlo = CerpadloKanal;
    
    YPot = ((((KPot*Potenciometr)+QPot)*10));
    YTlak = ((((KTlak*TlakovySnimac)+QTlak)*10)+NulovaHladina);
    
    
    Hladina = YTlak;
    
    if (Hladina + 5) < ZadanaHodnota then CerpadloKanal = true else CerpadloKanal = false end;
    if (Hladina - 5) > ZadanaHodnota then VentilKanal = true else VentilKanal = false end;
    
    
    if CerpadloKanal = true then VentilKanal = false end;
    
    
    if Hladina > 400 then CerpadloKanal = false end;
    end_procedure;

  end_program;

end_instrument;

